/*!	
	@file
	@brief	ゲーム側から使うピクセルシェーダー
*/



#ifndef CPixelShader_h
#define CPixelShader_h

#include"../Setup/CompileMode.h"
#include"../Auxiliary/mstring.h"

#include"../template/GlobalPointer.h"

namespace Maid
{

	class CGraphic;
	class CPixelShader : public GlobalPointer<CGraphic>
	{
	public:
		virtual ~CPixelShader(){}
		virtual mstring GetID() const=0;
	};

}

#endif
